%define upstream_name    LWP-Authen-Wsse
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Library for enabling X-WSSE authentication in LWP
License:	Artistic and GPL+
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Digest::SHA1)
BuildArch:      noarch


%description
LWP::Authen::Wsse allows LWP to authenticate against servers that are using 
the X-WSSE authentication scheme, as required by the Atom Authentication API.

%prep
%setup -q -n LWP-Authen-Wsse-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-8.mga6
+ Revision: 1029467
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.50.0-7.mga6
+ Revision: 937619
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 937166
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 747645
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685180
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 512559
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 32115
- mageia rebuild
- imported package perl-LWP-Authen-Wsse


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 406069
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2009.0
+ Revision: 241650
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2008.0
+ Revision: 88412
- rebuild


* Wed Aug 09 2006 Michael Scherer <misc@mandriva.org> 0.05-1mdv2007.0
- First Mandriva package

